########################## -*- Mode: Perl -*- ##########################
##
## File             : Non.pm
##
## Description      : do nothing for tagged format (bibdb-html)
##
#
# Copyright (C) 1996 Ulrich Pfeifer, Norbert Goevert
#
# This file is part of SFgate.
#
# SFgate is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# SFgate is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with SFgate; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
#
##
## Author           : Norbert Goevert
## Created On       : 
##
## Last Modified By : Norbert Goevert
## Last Modified On : Thu May 23 10:12:16 1996
##
## $State: Exp $
##
## $Id: Non.pm,v 5.1 1996/11/05 16:55:07 goevert Exp goevert $
##
## $Log: Non.pm,v $
## Revision 5.1  1996/11/05 16:55:07  goevert
## *** empty log message ***
##
## Revision 5.0.1.2  1996/05/23 17:07:21  goevert
## patch13: removed no strict 'vars';
##
## Revision 5.0.1.1  1996/05/13 11:27:22  goevert
## patch1:
##
########################################################################


package SFgate::Converter::Non;

use strict;


## #####################################################################
## convert
## #####################################################################
## interface for SFgate to convert one document
##
## (string) $text:     document to convert
## (string) $headline: headline of document to convert
##
## By default every document is printed with its corresponding wais
## headline. If you want to derive another headline just change
## the $headline variable according to your needs.
##
## HTML special characters (&, <, >) should be encoded in text not
## being HTML code. To do this you can use the function
## &::encode_entities, e.g. $ntext = &::encode_entities($ntext)
## encodes the special chars in $ntext.
##
## returns:
## - string: the converted document ($ntext)
## - string: headline of converted document ($headline)
##
sub convert
{
    my($text, $headline) = @_;
    return($text, '');
}


1;
